-module(test3).
-vsn("$Rev$").
-export([draw/2]).

-export([type/1, tag/1, form/1, flat_text/1]).
-export([all_typerefs/1, all_typerefs/2, named_typerefs/1, named_typerefs/2]).

-include("test4.hrl").

-define(DEBUGMODE,false).
-define(RESULTIN,"out").
-define(ERRORS,"errors").


alma(A,B) when A == B ->
    io:format("Ready"),
    C = A+B,
    Clause(C,A,B,ok);
alma(A,B) ->
    case A of
        B -> Form(B);
        _ -> Clause(A)
    end,
    D = #rec{x = A, y = B},
    D.

korte(Alma) ->
    Alma+1.

func() ->
    MakeProperArgs = fun(Arg)-> [Unit, MaxRank, Arg] end,
    U = lists:map(fun(K) -> MakeProperArgs(K) end, [1,2]),
    U+1,
    szilva+U-Clause+Form,
    TrueOrThrow(validate(Key, proplists:get_value(Key, Options, undef)),badarg(Key)).
   
funny(A) when A == 0 ->
    Man = [arm,head,back],
    Man;
funny(A) when A == 1 ->
    A+4*5*3+funny(A+1);
funny(A) when A == 2 ->
    2;
funny(_) ->
    ok.


d() -> case A of
	[] -> case B of
		alma -> case T of
				kamba -> ggg;
				_ -> ok
			end;
		_ -> ok
		end;
	_ -> nok
end.

efer([{alma,korte}],kalap) when is_atom(alma) ->
    funny(alma)+ets:new(valami),
    d(),
    io:format("~p~n",[kappa]).

